%define subrel 1
Name:		remmina
Version:	1.0.0
Release:	%mkrel 4
Summary:	GTK+ remote desktop client
Group:		Networking/Remote access
License:	GPLv2
URL:		http://remmina.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/%{name}/%{version}/%{name}-%{version}.tar.gz
# The following two patches will fix some linking errors
# https://github.com/FreeRDP/Remmina/commit/503a008e
Patch0:		remmina-1.0.0-cvs-fix-library-name.patch
# https://github.com/FreeRDP/Remmina/commit/13f20367
Patch1:		remmina-1.0.0-cvs-linker-error.patch
# The following 4 patches are needed to add clipboard support (RH #818155)
# https://github.com/FreeRDP/Remmina/commit/3ebdd6e7
Patch2:		remmina-1.0.0-cvs-add-clipboard-support.patch
# https://github.com/FreeRDP/Remmina/commit/97c2af8c
Patch3:		remmina-1.0.0-cvs-clipboard-bugfix.patch
# https://github.com/FreeRDP/Remmina/commit/84327f81
Patch4:		remmina-1.0.0-cvs-some-more-clipboard-fixes.patch
# https://github.com/FreeRDP/Remmina/commit/c1ef3a16
Patch5:		remmina-1.0.0-cvs-disconnect-signal-handler-after-disconnect.patch
# https://github.com/FreeRDP/Remmina/commit/6ee20289
Patch6:		remmina-1.0.0-cvs-fix-crashes-in-some-cases.patch
# https://github.com/FreeRDP/Remmina/commit/b2277827
Patch7:		remmina-1.0.0-fdr-fix-memory-leak.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=819976
Patch8:		remmina-1.0.0-fdr-dsofix.patch
# From OpenSUSE. All patches are backport from upstream.
# Thanks to Guido Berhoerster <gber at opensuse dot org>
Patch9:		remmina-1.0.0-suse-fix-desktop-file.patch
Patch10:		remmina-1.0.0-suse-fix-install-paths.patch

BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(avahi-ui)
BuildRequires:	pkgconfig(avahi-ui-gtk3)
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(libvncserver)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(vte)
BuildRequires:	pkgconfig(vte-2.90)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	intltool
BuildRequires:	cmake
BuildRequires:	gettext
Obsoletes:	remmina-plugins < 1.0.0

%description
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

Remmina supports multiple network protocols in an integrated and consistent
user interface. Currently RDP, VNC, XDMCP and SSH are supported.

Please don't forget to install the plugins for the protocols you want to use.


%package	devel
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
The %{name}-devel package contains header files for developing plugins for
%{name}.


%package	plugins-common
Summary:	Common files for Remmina Remote Desktop Client plugins
Group:		Networking/Remote access
Requires:	%{name} >= 0.9

%description	plugins-common
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains files shared among all plugins for the Remmina remote
desktop client.


%package	plugins-gnome
Summary:	GNOME keyring integration for Remmina Remote Desktop Client
BuildRequires:	pkgconfig(gnome-keyring-1)
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	pkgconfig(gnome-keyring-1)

%description	plugins-gnome
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the plugin with GNOME keyring support for the Remmina
remote desktop client.


%package	plugins-nx
Summary:	NX plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	nxproxy

%description	plugins-nx
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the NX plugin for the Remmina remote desktop client.


%package	plugins-rdp
Summary:	RDP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(freerdp)
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	freerdp

%description	plugins-rdp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Remote Desktop Protocol (RDP) plugin for the Remmina
remote desktop client.


%package	plugins-telepathy
Summary:	Telepathy plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(telepathy-glib)
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-telepathy
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Telepathy plugin for the Remmina remote desktop
client.


%package	plugins-vnc
Summary:	VNC plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(libvncserver)
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-vnc
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the VNC plugin for the Remmina remote desktop
client.


%package	plugins-xdmcp
Summary:	XDMCP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	x11-server-xephyr

%description	plugins-xdmcp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the XDMCP plugin for the Remmina remote desktop
client.


%prep
%setup -qn FreeRDP-Remmina-356c033

%patch0 -p1 -b .fix-library-name
%patch1 -p1 -b .linker-error
%patch2 -p1 -b .add-clipboard-support
%patch3 -p1 -b .clipboard-bugfix
%patch4 -p1 -b .some-more-clipboard-fixes
%patch5 -p1 -b .disconnect-signal-handler
%patch6 -p1 -b .fix-crashes-in-some-cases
%patch7 -p1 -b .fix-memory-leak
%patch8 -p0 -b .dsofix
%patch9 -p1 -b .desktop-file
%patch10 -p1 -b .install-paths


%build
mkdir build
cd build
%__cmake \
				-DCMAKE_INSTALL_PREFIX=%{_prefix} \
				-DCMAKE_INSTALL_LIBDIR=%{_lib} \
				-DWITH_APPINDICATOR=OFF \
				-DWITH_PTHREAD=ON \
				-DWITH_GCRYPT=ON \
				-DWITH_LIBSSH=ON \
				-DWITH_VTE=ON \
				-DWITH_GETTEXT=ON \
				-DWITH_FREERDP=ON \
				-DWITH_TELEPATHY=ON \
				-DWITH_ZLIB=ON \
				-DWITH_GETTEXT=ON \
				-DWITH_AVAHI=ON \
				-DWITH_APPINDICATOR=OFF \
				-LIBVNCSERVER_INCLUDE_DIRS=%{_includedir} \
				..


%make


%install
%makeinstall_std  DESTDIR=%{buildroot} -C build



%find_lang %{name}
%find_lang %{name}-plugins



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc %{name}/AUTHORS remmina/ChangeLog remmina/COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.*

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files plugins-common -f %{name}-plugins.lang
%defattr(-,root,root,-)
%doc %{name}-plugins/AUTHORS remmina-plugins/COPYING
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/

%files plugins-gnome
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/remmina-plugins-gnome.so

%files plugins-nx
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/remmina-plugin-nx.so
%{_datadir}/icons/hicolor/*/emblems/remmina-nx.png

%files plugins-rdp
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/remmina-plugin-rdp.so
%{_datadir}/icons/hicolor/*/emblems/remmina-rdp-ssh.png
%{_datadir}/icons/hicolor/*/emblems/remmina-rdp.png

%files plugins-telepathy
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/remmina-plugin-telepathy.so

%files plugins-vnc
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/remmina-plugin-vnc.so
%{_datadir}/icons/hicolor/*/emblems/remmina-vnc-ssh.png
%{_datadir}/icons/hicolor/*/emblems/remmina-vnc.png

%files plugins-xdmcp
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/remmina-plugin-xdmcp.so
%{_datadir}/icons/hicolor/*/emblems/remmina-xdmcp-ssh.png
%{_datadir}/icons/hicolor/*/emblems/remmina-xdmcp.png



%changelog
* Sat Mar 15 2014 bersuit <bersuit> 1.0.0-4.1.mga4
+ Revision: 603955
- dd patch to fix "Missing desktop file" #mga12950
-Move fix install path form spec to patch
-Minor cosmetic changes

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 518081
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 380314
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 juancho <juancho> 1.0.0-2.mga3
+ Revision: 313657
+ rebuild (emptylog)

* Mon Oct 29 2012 juancho <juancho> 1.0.0-1.mga3
+ Revision: 311507
- Fixed RPM groups according to new policy.
- Added missing BR for avahi-ui-gtk3

  + bersuit <bersuit>
    - Update to new version 1.0.0
    - New Version: 1.0.0
    - padawan commit: New Version

* Thu Mar 03 2011 saispo <saispo> 0.9.3-1.mga1
+ Revision: 63369
- imported package remmina

